SFDISK(8)

NUME
sfdisk - afișează sau manipulează un tabel de partiții pentru discuri

REZUMAT

sfdisk [opțiuni] dispoziiv [-N număr-partiție]

sfdisk [opțiuni] comanda

DESCRIERE

sfdisk este o unealtă orientată pe scripturi pentru partiționarea oricărui dispozitiv bloc. Aceasta rulează în modul interactiv dacă este executată într-un terminal (stdin se referă la un terminal).

Începând cu versiunea 2.26, sfdisk acceptă etichetele de disc MBR (DOS), GPT, SUN și SGI, dar nu mai oferă nicio funcționalitate pentru adresarea CHS (Cylinder-Head-Sector). CHS nu a fost niciodată important pentru Linux, iar acest concept de adresare nu are niciun sens pentru noile dispozitive.

sfdisk protejează primul sector al discului atunci când se creează o nouă etichetă de disc. Opțiunea --wipe always dezactivează această protecție. Rețineți că fdisk(8) și cfdisk(8) șterg complet această zonă în mod implicit.

sfdisk (începând cu versiunea 2.26) aliniază începutul și sfârșitul partițiilor la limitele de intrare/ieșire ale dispozitivelor de bloc atunci când sunt specificate dimensiuni relative, când sunt utilizate valorile implicite sau când sunt utilizate sufixe multiplicative (de exemplu, MiB) pentru dimensiuni. Este posibil ca dimensiunea partiției să fie optimizată (redusă sau mărită) din cauza alinierii dacă poziția de început este specificată exact în sectoare, iar dimensiunea partiției este relativă sau prin sufixe multiplicative.

Modalitatea recomandată este de a nu specifica deloc pozițiile de pornire și de a specifica dimensiunea partiției în MiB, GiB (sau similar). În acest caz, sfdisk aliniază toate partițiile la limitele de In/Ieș ale dispozitivelor de bloc (sau, dacă limitele de In/Ieș sunt prea mici, atunci la limita de megaocteți pentru a păstra portabilitatea structurii discului). În cazul în care acest comportament implicit nu este dorit (de obicei pentru partiții foarte mici), atunci specificați distanțele și dimensiunile în sectoare. În acest caz, sfdisk urmează în întregime numerele specificate, fără nicio optimizare.

sfdisk nu creează partiții de sistem standard pentru etichetele de disc SGI și SUN, așa cum face fdisk(8). Este necesar să creați în mod explicit toate partițiile, inclusiv partițiile de sistem ale întregului disc.

sfdisk utilizează ioctl-ul BLKRRPART (reread partition table) pentru a se asigura că dispozitivul nu este utilizat de sistem sau de alte instrumente (a se vedea și --no-reread). Este posibil ca această caracteristică sau o altă activitate sfdisk să interfereze cu systemd-udevd(8). Modalitatea recomandată pentru a evita posibilele coliziuni (interferențe) este utilizarea opțiunii --lock. Blocarea exclusivă va face ca systemd-udevd să sară peste gestionarea evenimentelor de pe dispozitiv.

Promptul sfdisk este doar un indiciu pentru utilizatori, iar un număr de partiție afișat nu înseamnă că va fi creată aceeași intrare în tabela de partiții (dacă -N nu este specificată), în special pentru tabelele cu goluri.

COMENZI

Comenzile se exclud reciproc.

[-N număr-partiție] dispozitiv
    Comanda implicită sfdisk citește specificația pentru partiționarea dorită a dispozitivului de la intrarea standard și apoi creează un tabel de partiții în conformitate cu specificația. A se vedea mai jos pentru descrierea formatului de intrare. Dacă intrarea standard este un terminal, atunci sfdisk inițiază o sesiune interactivă.

    Dacă opțiunea -N este specificată, atunci modificările sunt aplicate partiției la care se referă număr-partiție. Câmpurile nespecificate ale partiției nu sunt modificate.

    Rețineți că este posibil să adresați o partiție neutilizată cu -N. De exemplu, un MBR conține întotdeauna 4 partiții, dar numărul de partiții utilizate poate fi mai mic. În acest caz, sfdisk urmează valorile implicite din tabelul de partiții și nu utilizează valorile implicite încorporate pentru partiția neutilizată, indicate cu -N. A se vedea și --append.

-A, --activate dispozitiv [număr-partiție...]
    Activează fanionul de pornire pentru partițiile specificate și dezactivează fanionul de pornire pentru toate partițiile nespecificate. În locul numerelor de partiții se poate utiliza simbolul special "-" pentru a dezactiva fanionul de pornire pe toate partițiile.

    Comanda de activare este acceptată numai pentru MBR și PMBR. Dacă este detectată o etichetă GPT, atunci sfdisk afișează un avertisment și intră automat în PMBR.

    Dacă nu este specificat nici un număr-partiție, atunci se listează partițiile cu un fanion activat.

--backup-pt-sectors dispozitiv
    Efectuează o copie de rezervă a sectoarelor actuale ale tabelului de partiții în format binar și iese. A se vedea secțiunea CREAREA COPIEI DE REZERVĂ A TABELULUI DE PARTIȚII.

--delete dispozitiv [număr-partiție...]
    Șterge toate partițiile sau partițiile specificate.

-d, --dump dispozitiv
    Transferă partițiile unui dispozitiv într-un format care poate fi utilizat ca intrare pentru sfdisk. A se vedea secțiunea CREAREA COPIEI DE REZERVĂ A TABELULUI DE PARTIȚII.

-g, --show-geometry [dispozitiv...]
    Listează geometria tuturor dispozitivelor sau a dispozitivelor specificate. Pentru compatibilitate retroactivă, opțiunea depreciată --show-pt-geometry are aceeași semnificație ca și aceasta.

-J, --json dispozitiv
    Transferă partițiile unui dispozitiv în format JSON. Rețineți că sfdisk nu poate utiliza JSON ca format de intrare.

-l, --list [dispozitiv...]
    Listează partițiile tuturor dispozitivelor sau ale dispozitivelor specificate. Această comandă poate fi utilizată împreună cu --verify.

-F, --list-free [dispozitiv...]
    Listează zonele libere nepartiționate de pe toate dispozitivele sau de pe dispozitivele specificate.

--part-attrs dispozitiv număr-partiție [atribute]
    Modifică biții de atribut ai partiției GPT. Dacă argumentul atribute nu este specificat, atunci se afișează configurările actuale ale partiției. Argumentul atribute este o listă delimitată prin virgule sau spații de numere sau nume de biți. De exemplu, șirul de caractere "RequiredPartition,50,51" setează trei biți. Biții de atribut suportați în prezent sunt:

    Bit 0 (RequiredPartition)
        Dacă acest bit este activat, partiția este necesară pentru ca platforma să funcționeze. Creatorul partiției indică faptul că ștergerea sau modificarea conținutului poate duce la pierderea funcțiilor platformei sau la imposibilitatea de a porni sau de a funcționa. Sistemul nu poate funcționa în mod normal dacă această partiție este eliminată și ar trebui să fie considerată ca făcând parte din dispozitivele fizice ale sistemului.

    Bit 1 (NoBlockIOProtocol)
        Firmware-ul EFI ar trebui să ignore conținutul partiției și să nu încerce să citească de pe ea.

    Bit 2 (LegacyBIOSBootable)
        Partiția poate fi pornită de firmware-ul BIOS vechi.

    Bits 3-47
        Nedefinit și trebuie să fie zero. Rezervat pentru extindere de către versiunile viitoare ale specificației UEFI.

    Bits 48-63
        Rezervat pentru utilizare specifică GUID. Utilizarea acestor biți va varia în funcție de tipul de partiție. De exemplu, Microsoft utilizează bitul 60 pentru a indica numai pentru citire, 61 pentru copia protejată (shadow) a unei alte partiții, 62 pentru partiții ascunse și 63 pentru a dezactiva auto-montarea.

--part-label dispozitiv număr-partiție [eticheta]
    Schimbă numele (eticheta) partiției GPT. Dacă eticheta nu este specificată, atunci afișează eticheta curentă a partiției.

--part-type dispozitiv număr-partiție [tip]
    Schimbă tipul de partiție. Dacă tip nu este specificat, atunci afișează tipul de partiție curent.

    Argumentul tip este hexazecimal pentru MBR, GUID pentru GPT, alias de tip (de exemplu, "linux") sau abreviere de tip (de exemplu, "L"). Pentru compatibilitate retroactivă, opțiunile -c și --id au aceeași semnificație ca și aceasta.

--part-uuid dispozitiv număr-partiție [uuid]
    Modifică UUID-ul partiției GPT. Dacă uuid nu este specificat, atunci se afișează UUID-ul actual al partiției.

--disk-id dispozitiv [id]
    Modifică identificatorul de disc. Dacă id nu este specificat, atunci se afișează identificatorul curent. Identificatorul este UUID pentru GPT sau un număr întreg fără semn pentru MBR.

--discard-free dispozitiv
    Elimină toate sectoarele neutilizate (nepartiționate) de pe dispozitiv. Utilizați opțiunea --list-free pentru a obține o listă a regiunilor libere. A se vedea și blkdiscard(8).

        Warning

        Toate datele din regiunile eliminate de pe dispozitiv vor fi pierdute! Nu utilizați această opțiune dacă nu sunteți sigur.

    Rețineți că comanda „T” din fdisk oferă un dialog pentru a specifica ce zonă neutilizată ar trebui eliminată. Cu toate acestea, sfdisk elimină întotdeauna toate regiunile nepartiționate (cu excepția zonelor în care nu este posibilă crearea de partiții, cum ar fi începutul dispozitivului).

-r, --reorder dispozitiv
    Renumerotează partițiile, ordonându-le în funcție de poziția lor de început.

-s, --show-size [dispozitiv...]
    Listează dimensiunile tuturor dispozitivelor sau ale dispozitivelor specificate în unități de 1024 octeți. Această comandă este DEPRECIATĂ în favoarea comenzii blockdev(8).

-T, --list-types
    Afișează toate tipurile acceptate pentru eticheta discului curent sau pentru eticheta specificată de --label.

-V, --verify [dispozitiv...]
    Testează dacă tabelul de partiții și partițiile par corecte.

--relocate operația dispozitiv
    Realocă antetul tabelei de partiții. Această comandă este acceptată în prezent numai pentru antetul GPT. Argumentul oper poate fi:

    gpt-bak-std
        Mută antetul de rezervă GPT în locația standard de la sfârșitul dispozitivului.

    gpt-bak-mini
        Mută antetul de rezervă GPT după ultima partiție. Rețineți că standardul UEFI impune ca antetul de rezervă să fie la sfârșitul dispozitivului, iar instrumentele de partiționare pot muta automat antetul pentru a respecta standardul.

OPȚIUNI

-a, --append
    Nu creează un nou tabel de partiții, ci doar adaugă partițiile specificate.

    Rețineți că partiția neutilizată poate fi reutilizată în acest caz, deși nu este ultima partiție din tabelul de partiții. A se vedea, de asemenea, -N pentru a specifica intrarea în tabelul de partiții.

-b, --backup
    Face o copie de rezervă a sectoarelor actuale ale tabelului de partiții înainte de a începe partiționarea. Numele implicit al fișierului de copie de rezervă este ~/sfdisk-<dispozitiv>-<poziția>.bak; pentru a utiliza un alt nume, consultați opțiunea -O, --backup-file. Pentru mai multe detalii, consultați secțiunea CREAREA COPIEI DE REZERVĂ A TABELULUI DE PARTIȚII.

--color[=când]
    Colorează ieșirea. Argumentul opțional când poate fi auto, never (niciodată) sau always (întotdeauna). În cazul în care argumentul când este omis, valoarea implicită este auto. Culorile pot fi dezactivate; pentru valoarea implicită încorporată curentă, consultați ieșirea --help. A se vedea, de asemenea, secțiunea CULORI de mai jos.

-f, --force
    Dezactivează toate verificările de consistență.

--Linux
    Opțiune depreciată și ignorată. Partiționarea compatibilă cu Linux (și cu alte sisteme de operare moderne) este cea implicită.

--lock[=mod]
    Utilizează o blocare BSD exclusivă pentru dispozitivul sau fișierul pe care îl operează. Argumentul opțional mod poate fi yes, no (sau 1 și 0) sau nonblock. Dacă argumentul mod este omis, valoarea implicită este yes. Această opțiune suprascrie variabila de mediu $LOCK_BLOCK_DEVICE. Valoarea implicită este de a nu utiliza nicio blocare, dar este recomandată pentru a evita coliziunile cu systemd-udevd(8) sau cu alte instrumente.

-n, --no-act
    Face totul, cu excepția scrierii pe dispozitiv.

--no-reread
    Nu verifică prin intermediul ioctl-ului re-read-partition-table (recitire-tabel-de-partiții) dacă dispozitivul este în uz.

--no-tell-kernel
    Nu informează nucleul despre modificările partițiilor. Această opțiune este recomandată împreună cu --no-reread pentru a modifica o partiție pe un disc utilizat. Partiția modificată nu ar trebui să fie utilizată (de exemplu, montată).

-O, --backup-file ruta
    Înlocuiește numele implicit al fișierului de rezervă. Rețineți că numele dispozitivului și poziția sunt întotdeauna adăugate la numele fișierului.

--move-data[=ruta]
    Mută datele după realocarea partiției, de exemplu, atunci când se mută începutul unei partiții în alt loc de pe disc. Dimensiunea partiției trebuie să rămână aceeași, iar locația nouă și cea veche se pot suprapune. Această opțiune necesită opțiunea -N pentru a fi procesată doar pe o anumită partiție.

    Argumentul opțional ruta specifică numele fișierului jurnal. Fișierul jurnal conține informații despre toate operațiile de citire/scriere asupra datelor partiției. Cuvântul "@default" ca rută forțează sfdisk să utilizeze ~/sfdisk-<nume dispozitiv>.move pentru jurnal. Jurnalul este opțional începând cu v2.35.

    Rețineți că această operație este riscantă și nu este atomică. Nu uitați să faceți o copie de rezervă a datelor!

    A se vedea, de asemenea --move-use-fsync.

    În exemplul de mai jos, prima comandă creează o zonă liberă de 100MiB înainte de prima partiție și mută datele pe care le conține (de exemplu, un sistem de fișiere), următoarea comandă creează o nouă partiție din spațiul liber (la poziția 2048), iar ultima comandă reordonează partițiile pentru a se potrivi cu ordinea de pe disc (sdc1 inițială va deveni sdc2).

        echo '+100M,' | sfdisk --move-data /dev/sdc -N 1

        echo '2048,' | sfdisk /dev/sdc --append

        sfdisk /dev/sdc --reorder

--move-use-fsync
    Utilizează apelul de sistem fsync(2) după fiecare scriere atunci când se mută datele într-o locație nouă prin --move-data.

-o, --output listă
    Specifică ce coloane de ieșire se vor imprima. Utilizați --help pentru a obține o listă cu toate coloanele acceptate.

    Lista implicită de coloane poate fi extinsă dacă lista este specificată în formatul +listă (de exemplu, -o +UUID).

-q, --quiet
    Suprimă mesajele informative suplimentare.

--sector-size dimensiune-sector
    Specifică dimensiunea sectorului discului. Valorile valabile sunt 512, 1024, 2048 și 4096. Nucleul este conștient de dimensiunea sectorului pentru dispozitivele cu blocuri obișnuite. Utilizați această opțiune numai pe nuclee foarte vechi, atunci când lucrați cu imagini de disc sau pentru a modifica dimensiunea de sector implicită a nucleului. Începând cu util-linux-2.17, fdisk face diferența între dimensiunea sectorului logic și fizic. Această opțiune schimbă ambele dimensiuni de sector în dimensiune-sector.

-u, --unit S
    Opțiune depreciată. Este acceptată doar unitatea de sector. Această opțiune nu este acceptată atunci când se utilizează comanda --show-size.

-X, --label tip
    Specifică tipul de etichetă de disc (de exemplu, dos, gpt, ...). Dacă această opțiune nu este furnizată, atunci sfdisk utilizează în mod implicit eticheta existentă, dar dacă nu există încă o etichetă pe dispozitiv, atunci tipul este dos. Eticheta implicită sau eticheta curentă poate fi suprascrisă de opțiunea "label: <nume>" linia de antet a scriptului. Opțiunea --label nu forțează sfdisk să creeze o etichetă de disc goală (a se vedea secțiunea ETICHETĂ DE DISC GOALĂ de mai jos).

-Y, --label-nested tip
    Forțează editarea unei etichete de disc imbricate. Eticheta discului primar trebuie să existe deja. Această opțiune permite editarea, de exemplu, a unui MBR hibrid/protector pe dispozitive cu GPT.

-w, --wipe când
    Șterge semnăturile sistemului de fișiere, RAID și ale tabelelor de partiții de pe dispozitiv, pentru a evita posibilele coliziuni. Argumentul când poate fi auto, never (niciodată) sau always (întotdeauna). În cazul în care această opțiune nu este furnizată, valoarea implicită este auto, caz în care semnăturile sunt șterse numai în modul interactiv; cu excepția semnăturilor vechi ale tabelelor de partiții, care sunt întotdeauna șterse înainte de a crea un nou tabel de partiții, dacă argumentul când nu este never. De asemenea, modul auto nu șterge primul sector (sectorul de pornire), fiind necesar să se utilizeze modul always pentru a șterge această zonă. În toate cazurile, semnăturile detectate sunt raportate prin mesaje de avertizare înainte de crearea unei noi tabele de partiții. Consultați și comanda wipefs(8).

-W, --wipe-partitions când
    Șterge semnăturile sistemului de fișiere, RAID și ale tabelului de partiții de pe o partiție nou creată, pentru a evita posibilele coliziuni. Argumentul când poate fi auto, never (niciodată) sau always (întotdeauna). Dacă această opțiune nu este furnizată, valoarea implicită este auto, caz în care semnăturile sunt șterse numai în modul interactiv și după confirmarea utilizatorului. În toate cazurile, semnăturile detectate sunt raportate prin mesaje de avertizare înainte de a fi creată o nouă partiție. A se vedea, de asemenea, comanda wipefs(8).

-v, --version
    Afișează informațiile despre versiune și iese.

-h, --help
    Afișează acest mesaj de ajutor și iese.

FORMATE DE INTRARE

sfdisk acceptă două formate de intrare și linii de antet generice.

  Linii de antet

Liniile opționale de antet specifică informații generice care se aplică tabelului de partiții. Formatul liniilor de antet este următorul:

<nume>: <valoare>

Antetele recunoscute în prezent sunt:

unit
    Specifică unitatea de partiționare. Singura unitate acceptată este sectors.

label
    Specifică tipul tabelului de partiții. De exemplu, dos sau gpt.

label-id
    Specifică identificatorul tabelei de partiții. Acesta trebuie să fie un număr hexazecimal (cu prefixul 0x) pentru MBR și un UUID pentru GPT.

first-lba
    Specifică primul sector utilizabil pentru partițiile GPT. Acest antet este ignorat în cazul în care dimensiunea sectorului de script și cea a sectorului dispozitivului diferă. În acest caz, sfdisk utilizează eticheta specifică implicită.

last-lba
    Specifică ultimul sector utilizabil pentru partițiile GPT. Acest antet este ignorat în cazul în care dimensiunea sectorului de script și cea a sectorului dispozitivului diferă. În acest caz, sfdisk utilizează eticheta specifică implicită. Antetul last-lba este ignorat dacă este specificată opțiunea --force, făcând scriptul utilizabil pe discuri cu dimensiuni diferite.

table-length
    Specifică numărul maxim de partiții GPT.

grain
    Specifică dimensiunea minimă în octeți utilizată pentru a calcula alinierea partițiilor. Valoarea implicită este 1MiB și se recomandă cu tărie utilizarea acesteia. Nu modificați această variabilă dacă nu sunteți sigur.

sector-size
    Specifică dimensiunea sectorului utilizat în intrare. sfdisk utilizează întotdeauna în mod intern dimensiunea sectorului dispozitivului furnizată de nucleu pentru dispozitivul bloc sau specificată de utilizator în linia de comandă (a se vedea --sector-size). Începând cu versiunea 2.39, sfdisk recalculează dimensiunile de la intrare dacă antetul sector-size și dimensiunea sectorului dispozitivului sunt diferite.

Rețineți că este posibilă utilizarea liniilor de antet numai înainte ca prima partiție să fie specificată la intrare.

  Formatul câmpurilor-fără-nume

    început dimensiune tip fanion-pornire

în care fiecare linie reprezintă un descriptor de partiție.

Câmpurile se separă prin spații albe, virgule (recomandat) sau punct și virgulă, eventual urmate de spațiu alb; spațiul alb inițial și final este ignorat. Numerele pot fi octale, zecimale sau hexazecimale; valoarea zecimală este cea implicită. În cazul în care un câmp este absent, gol sau specificat ca „-”, se utilizează o valoare implicită. Dar atunci când se dă opțiunea -N (modificarea unei singure partiții), valoarea implicită pentru fiecare câmp este valoarea sa anterioară.

Valoarea implicită a lui început este primul sector neatribuit, aliniat în conformitate cu limitele de intrare/ieșire ale dispozitivului. Poziția implicită de „început” pentru prima partiție este de 1 MiB. Dacă poziția este urmată de sufixele multiplicative (KiB, MiB, GiB, GiB, TiB, PiB, EiB, ZiB și YiB), atunci numărul este interpretat ca o poziție în octeți. Începând cu versiunea v2.38, atunci când se dă opțiunea -N (modificarea unei singure partiții), se poate utiliza un „+” pentru a mări partiția prin mutarea începutului partiției, dacă există spațiu liber înainte de partiție.

Valoarea implicită a lui dimensiune indică „cât de mult posibil”, adică până la următoarea partiție sau până la sfârșitul dispozitivului. Un argument numeric este interpretat în mod implicit ca un număr de sectoare, însă dacă dimensiunea este urmată de unul dintre sufixele multiplicative (KiB, MiB, GiB, TiB, PiB, EiB, ZiB și YiB), atunci numărul este interpretat ca dimensiunea partiției în octeți și este apoi aliniat în conformitate cu limitele de intrare/ieșire ale dispozitivului. În loc de un număr se poate utiliza un „+” pentru a mări partiția cât mai mult posibil. Rețineți că „+” este echivalent cu comportamentul implicit pentru o partiție nouă; partițiile existente vor fi redimensionate în funcție de necesități.

Tipul partiției tip este dat în hexazecimal pentru MBR (DOS), unde prefixul 0x este opțional; un șir GUID pentru GPT; o comandă rapidă sau un alias. Se recomandă utilizarea a două litere pentru codurile hexazecimale MBR pentru a evita coliziunea între prescurtarea depreciată „E” și codul hexazecimal MBR „0E”. Pentru compatibilitate retroactivă, sfdisk încearcă să interpreteze tip ca o scurtătură ca primă posibilitate în scripturile de partiționare, deși în alte locuri (de exemplu, comanda --part-type) încearcă să interpreteze scurtăturile ca ultima posibilitate.

Începând cu versiunea v2.36, libfdisk suportă alias de tip partiție ca extensie a comenzilor rapide. Alias este un cuvânt simplu, ușor de citit de către om (de exemplu, "linux").

Începând cu versiunea v2.37, libfdisk acceptă numele tipului de partiție la intrare, ignorând diferențele dintre majuscule și minuscule și toate caracterele non-alfanumerice și non-digitale din nume (de exemplu, „Linux /usr x86” este același lucru cu „linux usr-x86”).

Abrevieri și alias acceptate:

L - alias 'linux'
    Linux; înseamnă 83 pentru MBR și 0FC63DAF-8483-4772-8E79-3D69D8477DE4 pentru GPT.

S - alias 'swap'
    Spațiul swap (spațiul de interschimb); înseamnă 82 pentru MBR și 0657FD6D-A4AB-43C4-84E5-0933C84B4F4F pentru GPT

Ex - alias 'extended'
    Partiția extinsă MBR; înseamnă 05 pentru MBR. Prescurtarea originală "E" este depășită din cauza coliziunii cu tipul de partiție 0x0E MBR.

H - alias 'home'
    Partiția „home” (a dosarelor personale ale utilizatorilor); înseamnă 933AC7E1-2EB4-4F13-B844-0E14E2AEF915 pentru GPT

U - alias 'uefi'
    Partiția EFI System, înseamnă EF pentru MBR și C12A7328-F81F-11D2-BA4B-00A0C93EC93B pentru GPT

R - alias 'raid'
    Linux RAID; înseamnă FD pentru MBR și A19D880880F-05FC-4D3B-A006-743F0F84911E pentru GPT

V - alias 'lvm'
    LVM; înseamnă 8E pentru MBR și E6D6D379-F507-44C2-A23C-238F2A3DF928 pentru GPT

Valoarea implicită a tipului este linux.

Abrevierea „X” pentru partiția extinsă Linux (85) este depreciată în favoare de „Ex”.

Fanionul de-pornire al partiției este specificat prin [{*|-], valoare implicită este ne-pornibilă. Valoarea acestui câmp este irelevantă pentru Linux - atunci când Linux rulează, aceasta a fost deja pornită - dar ar putea juca un rol pentru anumite încărcătoare de pornire și pentru alte sisteme de operare.

  Formatul câmpurilor-cu-nume

Acest format este mai ușor de citit, mai robust, mai extensibil și permite specificarea de informații suplimentare (de exemplu, un UUID). Se recomandă utilizarea acestui format pentru ca scripturile dumneavoastră să fie mai ușor de citit.

    [dispozitiv :] nume[=valoare], ...

Câmpul _dispozitiv_este opțional. sfdisk extrage numărul partiției din numele dispozitivului. Aceasta permite specificarea partițiilor în ordine aleatorie. Această funcționalitate este utilizată în principal de --dump. Nu o folosiți dacă nu sunteți sigur.

valoare poate fi între ghilimele (de exemplu, name="Acesta este numele partiției"). Câmpurile start= și size= acceptă „+” și „-” în același mod ca și Formatul câmpurilor-fără-nume.

Câmpurile acceptate în prezent sunt:

start=număr
    Primul sector neatribuit, aliniat în conformitate cu limitele de In/Ieș ale dispozitivului. Poziția de început implicită pentru prima partiție este de 1 MiB. Dacă poziția este urmată de sufixele multiplicative (KiB, MiB, GiB, GiB, TiB, PiB, EiB, ZiB și YiB), atunci numărul este interpretat ca o poziție în octeți.

size=număr
    Specifică dimensiunea partiției în sectoare. Numărul poate fi urmat de sufixe multiplicative (KiB, MiB, GiB, TiB, TiB, PiB, EiB, ZiB și YiB), după care este interpretat ca dimensiune în octeți, iar dimensiunea este aliniată în funcție de limitele de In/Ieș ale dispozitivului.

bootable
    Marchează partiția ca „pornibilă”.

attrs=șir
    Atributele partiției, de obicei biți de atribut de partiție GPT. A se vedea --part-attrs pentru mai multe detalii despre formatul șirului de biți GPT.

uuid=șir
    UUID-ul partiției GPT.

name=șir
    Numele partiției GPT.

type=cod
    Un număr hexazecimal (fără 0x) pentru o partiție MBR, un GUID pentru o partiție GPT, o scurtătură ca pentru formatul câmpurilor-fără-nume sau un nume de tip (de exemplu, type="Linux /usr (x86)"). Pentru mai multe detalii, consultați secțiunea de mai sus despre Formatul câmpurilor-fără-nume. Pentru compatibilitate retroactivă, câmpul Id= are aceeași semnificație.

ETICHETĂ DE DISC GOALĂ

sfdisk nu creează în mod implicit tabelul de partiții fără partiții. Liniile cu partiții sunt așteptate în script în mod implicit. Tabelul de partiții gol trebuie să fie solicitat în mod explicit prin "label: <nume>" linia de antet a scriptului fără linii de partiții. De exemplu:

    echo 'label: gpt' | sfdisk /dev/sdb

creează un tabel de partiții GPT gol. Rețineți că --append dezactivează această caracteristică.

CREAREA COPIEI DE REZERVĂ A TABELULUI DE PARTIȚII

Se recomandă să salvați structura dispozitivelor dumneavoastră. sfdisk acceptă două moduri.

  Transferul în format compatibil sfdisk

Utilizați comanda --dump pentru a salva o descriere a structurii dispozitivului într-un fișier text. Formatul „dump” este potrivit pentru introducerea ulterioară în sfdisk. De exemplu:

    sfdisk --dump /dev/sda > sda.dump

Aceasta poate fi restaurată ulterior cu:

    sfdisk /dev/sda < sda.dump

Rețineți că sfdisk restaurează complet tipurile de partiții și UUID-urile partițiilor. Acest lucru ar putea deveni problematic dacă duplicați aceeași dispunere (structură de partiții) pe diferite discuri, deoarece ar putea rezulta UUID-uri duplicate în cadrul sistemului dumneavoastră.

  Copie de rezervă binară completă

Dacă doriți să efectuați o copie de rezervă binară completă a tuturor sectoarelor în care este stocată tabela de partiții, atunci utilizați comanda --backup-pt-sectors. Aceasta scrie sectoarele în fișierele ~/sfdisk-<dispozitiv>-<poziția>.bak. Numele implicit al fișierului de backup poate fi schimbat cu opțiunea --backup-file. Fișierele de backup conțin numai datele brute de pe dispozitiv. De exemplu:

    sfdisk --backup-pt-sectors /dev/sda

Antetul GPT poate fi restaurat ulterior cu:

    dd if=~/sfdisk-sda-0x00000200.bak of=/dev/sda seek=$((0x00000200)) bs=1 conv=notrunc

De asemenea, este posibil să se utilizeze opțiunea --backup pentru a crea aceeași copie de rezervă imediat după pornire pentru alte comenzi sfdisk. De exemplu, copie de rezervă a tabelului de partiții înainte de a șterge toate partițiile din tabelul de partiții:

    sfdisk --backup --delete /dev/sda

Același concept de fișiere de copie de rezervă este utilizat de wipefs(8).

Rețineți că sfdisk, începând cu versiunea 2.26, nu mai oferă opțiunea -I pentru restaurarea sectoarelor. dd(1) oferă toate funcționalitățile necesare.

CULORI

Colorarea ieșirii este implementată de funcționalitatea terminal-colors.d(5). Colorarea implicită poate fi dezactivată printr-un fișier gol

    /etc/terminal-colors.d/sfdisk.disable

pentru comanda sfdisk sau pentru toate instrumentele (comenzile) prin

    /etc/terminal-colors.d/disable

Since version 2.41, the $NO_COLOR environment variable is also supported to disable output colorization unless explicitly enabled by a command-line option.

Configurația specifică utilizatorului $XDG_CONFIG_HOME/terminal-colors.d sau $HOME/.config/terminal-colors.d prevalează asupra celei globale.

Rețineți că colorarea ieșirii poate fi activată în mod implicit și, în acest caz, directoarele terminal-colors.d nu trebuie să existe încă.

Numele de culori logice acceptate de sfdisk sunt:

header
    Antetul tabelelor de ieșire.

warn
    Mesajele de avertizare.

welcome
    Mesajul de bun venit.

MEDIU

SFDISK_DEBUG=all
    activează ieșirea de depanare a sfdisk.

LIBFDISK_DEBUG=all
    activează ieșirea de depanare a libfdisk.

LIBBLKID_DEBUG=all
    activează ieșirea de depanare a libblkid.

LIBSMARTCOLS_DEBUG=all
    activează ieșirea de depanare a libsmartcols.

LOCK_BLOCK_DEVICE=<mod>
    utilizează un blocaj BSD exclusiv. Modul este "1" sau "0". A se vedea --lock pentru mai multe detalii.

NOTE

Începând cu versiunea 2.26, sfdisk nu mai oferă opțiunea -R sau --re-read pentru a forța nucleul să recitească tabelul de partiții. Folosiți în schimb blockdev --rereadpt.

Începând cu versiunea 2.26, sfdisk nu oferă opțiunile --DOS, --IBM, --DOS-extended, --unhide, --show-extended, --cylinders, --heads, --sectors, --inside-outer, --not-inside-outer.

EXEMPLE

sfdisk --list --label-nested=mbr /dev/sda
    Imprimă MBR protector pe dispozitivul cu eticheta de disc GPT.

echo -e ',10M,L\n,10M,L\n,+,\n' | sfdisk /dev/sdc
    Creează trei partiții Linux, cu începutul implicit, dimensiunea primelor două partiții este de 10MiB, iar ultima partiție umple tot spațiul disponibil pe dispozitiv.

echo -e 'size=10M, type=L\n size=10M, type=L\n size=+\n' | sfdisk /dev/sdc
    Același lucru ca în exemplul anterior, dar în formatul câmpuri-cu-nume.

echo -e 'type=swap' | sfdisk -N 3 /dev/sdc
    Stabilește tipul celei de-a treia partiții la „swap”.

sfdisk --part-type /dev/sdc 3 swap
    La fel ca în exemplul precedent, dar fără să utilizeze script.

sfdisk --delete /dev/sdc 2
    Șterge cea de-a doua partiție.

echo "+,+" | sfdisk -N 3 --move-data /dev/sdc
    Mărește a 3-a partiție în ambele direcții, mută începutul pentru a utiliza spațiul liber înainte de partiție și mărește dimensiunea pentru a utiliza tot spațiul liber după partiție, și mută de asemenea datele partiției.

AUTORI

Actuala implementare sfdisk se bazează pe sfdisk original de la Andries E. Brouwer.

CONSULTAȚI ȘI

fdisk(8), cfdisk(8), parted(8), partprobe(8), partx(8)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda sfdisk face parte din pachetul util-linux care poate fi descărcat de la